#include <string.h>
#include "driver/gpio.h"
#include "board.h"
#include "esp_log.h"

static uint8_t demo_state = 0;
void trigger_demo(void *arg) {
    demo_state = ~demo_state;
    gpio_set_level(GPIO_NUM_32, demo_state);
}

void board_pins_init(void) {
    gpio_isr_handle_t handle;
    gpio_config_t io_conf;
    memset(&io_conf, 0, sizeof(io_conf));
    io_conf.mode = GPIO_MODE_INPUT;
    io_conf.pin_bit_mask = BIT64(GPIO_NUM_39);
    io_conf.pull_down_en = 0;
    io_conf.pull_up_en = 0;
    io_conf.intr_type = GPIO_INTR_ANYEDGE;
    gpio_config(&io_conf);
    gpio_install_isr_service(ESP_INTR_FLAG_EDGE);
    gpio_isr_handler_add(GPIO_NUM_39, trigger_demo, NULL);

    memset(&io_conf, 0, sizeof(io_conf));
    io_conf.mode = GPIO_MODE_OUTPUT;
    io_conf.pin_bit_mask = BIT64(GPIO_NUM_32);
    io_conf.pull_down_en = 0;
    io_conf.pull_up_en = 0;
    gpio_config(&io_conf);
}
